SPLIT(1)

NOMBRE
split - divide un archivo en varios fragmentos

SINOPSIS
split [OPCIÓN]... [ARCHIVO [PREFIJO]]

DESCRIPCIÓN

Crea fragmentos de ARCHIVO con los nombres PREFIJOaa, PREFIJOab...por defecto serán de 1000 líneas y con una 'x' como prefijo.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a, --suffix-length=N
    crea sufijos de longitud N (por defecto: N=2)

--additional-suffix=SUFIJO
    añade un sufijo adicional a los nombres de fragmento

-b, --bytes=TAMAÑO
    crea fragmentos con TAMAÑO bytes

-C, --line-bytes=TAMAÑO
    pone un máximo de TAMAÑO bytes por cada fragmento

-d  emplea sufijos numéricos en lugar de alfabéticos partiendo de 0.

--numeric-suffixes[=DESDE]
    igual que -d pero permite definir el valor inicial

-x  emple sufijos hexadecimales en lugar de alfabéticos siendo el 0 el primero.

--hex-suffixes[=DESDE]
    igual que -x pero permite definir el valor inicial

-e, --elide-empty-files
    no crea archivo vacío con '-n'

--filter=ORDEN
    envía el contenido a ORDEN, el nombre del archivo es $FILE

-l, --lines=NÚMERO
    inserta NÚMERO de líneas/registros en cada fragmento

-n, --number=PEDAZOS
    crea PEDAZOS archivos, vea la explicación más adelante

-t, --separator=SEP
    usa SEP en lugar de nueva línea com separación entre registros. '\0' (cero) denota el carácter NUL

-u, --unbuffered
    envía directamente la entrada a la salida con '-n r/...'

--verbose
    muestra el estado justo antes de abrir cada fragmento

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y termina

El argumento TAMAÑO es un entero y una unidad opcional (ejemplo: 10K es 10 * 1024). Las unidades son K, M, G, T, P, E, Z, Y (potencias de 1024) o KB, MB, ... (potencias de 1000). También se pueden usar prefijos binarios: KiB = K, MiB = M, etc.

  PEDAZOS puede ser:

N   divide en N fragmentos en base al tamaño de entrada

K/N muestra el fragmento K de N

l/N divide en N fragmentos sin dividir líneas/registros

l/K/N
    muestra el fragmento K de N sin dividir líneas/regsitros

r/N igual que 'l' per con una distribución rotatoria

r/K/N
    de igual modo pero solo muestra el fragmento K de N

AUTOR
Escrito por Torbjorn Granlund y Richard M. Stallman.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/split>
también disponibles localmente ejecutandoinfo '(coreutils) split invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.